﻿'Cellular Automata Class Library
'Copyright (C) 2010, Jörg Meier
'see folder [license] for details.

Option Strict On

<System.Flags()> _
<System.CLSCompliant(True)> _
Public Enum ConnectionTypes

    ''' <summary> Unknown Connection type </summary>
    ''' <remarks></remarks>
    Unknown = 0

    ''' <summary> von Neumann neighbourhood connection </summary>
    ''' <remarks> exists already in 1D </remarks>
    Primary = 1 << 0

    ''' <summary> Moore neighbourhood connection </summary>
    ''' <remarks> exists only in 2D and higher dimensions </remarks>
    Secondary = 1 << 1

    ''' <summary> Tertiary neighbourhood connection </summary>
    ''' <remarks> exists only in 3D and higher dimensions </remarks>
    Tertiary = 1 << 2

End Enum