﻿'Cellular Automata Class Library
'Copyright (C) 2010, Jörg Meier
'see folder [license] for details.

Option Strict On

Imports CellularAutomata

Namespace Specialized

    <System.CLSCompliant(True)> _
    Public MustInherit Class HexagonalCell(Of TCell As HexagonalCell(Of TCell, TConnection), TConnection As HexagonalConnection(Of TCell, TConnection))
        Inherits CellularAutomata.Cell(Of TCell, TConnection)

        Sub New(parent As HexagonalCluster(Of TCell, TConnection))
            MyBase.New(parent:=parent)
        End Sub

        Private _LocationX As Double
        Public Property LocationX() As Double
            Get
                Return _LocationX
            End Get
            Set(ByVal value As Double)
                _LocationX = value
            End Set
        End Property

        Private _LocationY As Double
        Public Property LocationY() As Double
            Get
                Return _LocationY
            End Get
            Set(ByVal value As Double)
                _LocationY = value
            End Set
        End Property

    End Class

End Namespace
