﻿'Cellular Automata Class Library
'Copyright (C) 2010, Jörg Meier
'see folder [license] for details.

Option Strict On

Namespace Specialized

    <System.CLSCompliant(True)> _
    Public Interface IRectangular2DCluster
        Inherits ICluster

        Overloads Property Cell(ByVal i As Integer, ByVal j As Integer) As IRectangular2DCell

        Overloads Property Cell(ByVal index As Integer) As IRectangular2DCell

        ReadOnly Property CellCountX As Integer
        ReadOnly Property CellCountY As Integer

    End Interface

End Namespace