﻿'Cellular Automata Class Library
'Copyright (C) 2010, Jörg Meier
'see folder [license] for details.

Option Strict On

<CLSCompliant(True)> _
Public Class StepResult

    Sub New()
    End Sub

    Sub New(ByVal StepSuccessful As Boolean)
        Me.StepSuccessful = StepSuccessful
    End Sub

    Sub New(ByVal StepSuccessful As Boolean, ByVal TimeStepUpdateFactor As Double)
        Me.StepSuccessful = StepSuccessful
        Me.TimeStepUpdateFactor = TimeStepUpdateFactor
    End Sub

    Private mStepSuccessful As Boolean? = Nothing
    Public Property StepSuccessful() As Boolean?
        Get
            Return mStepSuccessful
        End Get
        Set(ByVal value As Boolean?)
            mStepSuccessful = value
        End Set
    End Property

    Private mTimeStepUpdateFactor As Double = 1
    Public Property TimeStepUpdateFactor() As Double
        Get
            Return mTimeStepUpdateFactor
        End Get
        Set(ByVal value As Double)
            mTimeStepUpdateFactor = value
        End Set
    End Property

End Class
