'Cellular Automata Class Library
'Copyright (C) 2010, Jrg Meier
'see folder [license] for details.

Option Strict On

Imports CellularAutomata

Namespace Specialized

    Partial Class HexagonalCluster(Of TCell As HexagonalCell(Of TCell, TConnection), TConnection As HexagonalConnection(Of TCell, TConnection))

        Public MustInherit Class ClusterFactory
            Private Sub New()
            End Sub

            Shared Sub AddHexagonalCluster( _
                cluster As HexagonalCluster(Of TCell, TConnection), _
                CellCountX As Integer, CellCountY As Integer, _
                InnerCellRadius As Double,
                CellFactory As HexagonalCellFactory, _
                ConnectionFactory As ConnectionFactory)

                Dim Cells(,) As TCell = HexagonalClusterFactory.AddHexagonalCluster( _
                    cluster:=cluster, _
                    CellCountX:=CellCountX, CellCountY:=CellCountY, _
                    InnerCellRadius:=InnerCellRadius,
                    CellFactory:=CellFactory, _
                    ConnectionFactory:=ConnectionFactory)

                'cluster.CellArray = Cells

            End Sub

        End Class

    End Class

End Namespace