﻿'Cellular Automata Class Library
'Copyright (C) 2010, Jörg Meier
'see folder [license] for details.

Option Strict On

Imports CellularAutomata

Namespace Specialized


    <System.CLSCompliant(True)> _
    Public MustInherit Class Rectangular2DConnection(Of TCell As Rectangular2DCell(Of TCell, TConnection), TConnection As Rectangular2DConnection(Of TCell, TConnection))
        Inherits Connection(Of TCell, TConnection)

        Sub New(ByVal Cell1 As TCell, ByVal Cell2 As TCell, ByVal ConnectionType As ConnectionTypes)
            MyBase.New(Cell1, Cell2)
            Me._ConnectionType = ConnectionType
        End Sub

        Private _ConnectionType As ConnectionTypes
        Public ReadOnly Property ConnectionType() As ConnectionTypes
            Get
                Return _ConnectionType
            End Get
        End Property


    End Class

End Namespace
